<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-account-email-domain-contacts-contact%3APUT</id>
		<title>Accounts-account-email-domain-contacts-contact:PUT - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-account-email-domain-contacts-contact%3APUT"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-account-email-domain-contacts-contact:PUT&amp;action=history"/>
		<updated>2026-05-18T11:09:05Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-account-email-domain-contacts-contact:PUT&amp;diff=1085&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 87</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-account-email-domain-contacts-contact:PUT&amp;diff=1085&amp;oldid=prev"/>
				<updated>2013-11-15T21:24:30Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 87&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 21:24, 15 November 2013&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-account-email-domain-contacts-contact:PUT&amp;diff=1084&amp;oldid=prev</id>
		<title>Stanimir.dimitrov: /* See also */</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-account-email-domain-contacts-contact:PUT&amp;diff=1084&amp;oldid=prev"/>
				<updated>2013-11-06T14:09:33Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;span class=&quot;autocomment&quot;&gt;See also&lt;/span&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= PUT /accounts/{account}/email/{domain}/contacts/{contact} =&lt;br /&gt;
Updates domain's global address book contact info&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;PUT /accounts/{account}/email/{domain}/contacts/{contact}&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
; account - ''string''&lt;br /&gt;
: &lt;br /&gt;
; domain - ''string''&lt;br /&gt;
: &lt;br /&gt;
; contact - ''string''&lt;br /&gt;
: &lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
; Content-Type&lt;br /&gt;
: Required. Set this header to &amp;lt;code&amp;gt;application/json; charset=UTF-8&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;email&amp;quot;: &amp;quot;{email}&amp;quot;, &lt;br /&gt;
    &amp;quot;firstName&amp;quot;: &amp;quot;{firstName}&amp;quot;, &lt;br /&gt;
    &amp;quot;lastName&amp;quot;: &amp;quot;{lastName}&amp;quot;, &lt;br /&gt;
    &amp;quot;displayName&amp;quot;: &amp;quot;{displayName}&amp;quot;&lt;br /&gt;
    &amp;quot;title&amp;quot;: &amp;quot;{title}&amp;quot;,&lt;br /&gt;
    &amp;quot;homePhone&amp;quot;: &amp;quot;{homePhone}&amp;quot;,&lt;br /&gt;
    &amp;quot;mobilePhone&amp;quot;: &amp;quot;{mobilePhone}&amp;quot;,&lt;br /&gt;
    &amp;quot;businessPhone&amp;quot;: &amp;quot;{businessPhone}&amp;quot;,&lt;br /&gt;
    &amp;quot;businessFax&amp;quot;: &amp;quot;{businessFax}&amp;quot;,&lt;br /&gt;
    &amp;quot;isdnNumber&amp;quot;: &amp;quot;{isdnNumber}&amp;quot;,&lt;br /&gt;
    &amp;quot;pager&amp;quot;: &amp;quot;{pager}&amp;quot;,&lt;br /&gt;
    &amp;quot;telexNumber&amp;quot;: &amp;quot;{telexNumber}&amp;quot;,&lt;br /&gt;
    &amp;quot;company&amp;quot;: &amp;quot;{company}&amp;quot;,&lt;br /&gt;
    &amp;quot;department&amp;quot;: &amp;quot;{department}&amp;quot;,&lt;br /&gt;
    &amp;quot;roomNumber&amp;quot;: &amp;quot;{roomNumber}&amp;quot;,&lt;br /&gt;
    &amp;quot;streetAddress&amp;quot;: &amp;quot;{streetAddress}&amp;quot;,&lt;br /&gt;
    &amp;quot;postalCode&amp;quot;: &amp;quot;{postalCode}&amp;quot;,&lt;br /&gt;
    &amp;quot;city&amp;quot;: &amp;quot;{city}&amp;quot;,&lt;br /&gt;
    &amp;quot;state&amp;quot;: &amp;quot;{state}&amp;quot;,&lt;br /&gt;
    &amp;quot;country&amp;quot;: &amp;quot;{country}&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; email - ''string''&lt;br /&gt;
: The email of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; firstName - ''string''&lt;br /&gt;
: The first name of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; lastName - ''string''&lt;br /&gt;
: The last name of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; displayName - ''string''&lt;br /&gt;
: The display name of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; title - ''string''&lt;br /&gt;
: The title of global address book contact person.&lt;br /&gt;
&lt;br /&gt;
; homePhone - ''string''&lt;br /&gt;
: The home phone of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; mobilePhone - ''string''&lt;br /&gt;
: The home phone of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; businessPhone - ''string''&lt;br /&gt;
: The business phone of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; businessFax - ''string''&lt;br /&gt;
: The business fax of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; isdnNumber - ''string''&lt;br /&gt;
: The isdn number of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; pager - ''string''&lt;br /&gt;
: The pager of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; telexNumber - ''string''&lt;br /&gt;
: The telex number of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; company - ''string''&lt;br /&gt;
: The company name of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; department - ''string''&lt;br /&gt;
: The department name of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; roomNumber - ''string''&lt;br /&gt;
: The room number of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; streetAddress - ''string''&lt;br /&gt;
: The street address of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; postalCode - ''string''&lt;br /&gt;
: The postal code of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; city - ''string''&lt;br /&gt;
: The city name of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; state - ''string''&lt;br /&gt;
: The state name of global address book contact.&lt;br /&gt;
&lt;br /&gt;
; country - ''string''&lt;br /&gt;
: The country name of global address book contact.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
; 204 No Content&lt;br /&gt;
: Success&lt;br /&gt;
&lt;br /&gt;
; 400 Bad Request&lt;br /&gt;
: The format of the request body is invalid or the parameters don't meet the requirements.&lt;br /&gt;
&lt;br /&gt;
; 401 Unauthorized&lt;br /&gt;
: The supplied credentials are invalid or do not provide permissions for this operation.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Failure updating global address book contact because of erroneous data ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT &amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/account007/email/test-domain.com/contacts/test-contact&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;email&amp;quot;: &amp;quot;updated-email&amp;quot;, &lt;br /&gt;
    &amp;quot;displayName&amp;quot;: &amp;quot;Display Name Updated&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
400 Bad Request&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;email&amp;quot;: &amp;quot;Invalid email address&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Success updating global address book contact ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
PUT &amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/account007/email/test-domain.com/contacts/test-contact&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
    &amp;quot;email&amp;quot;: &amp;quot;new@test.com&amp;quot;, &lt;br /&gt;
    &amp;quot;mobilePhone&amp;quot;: &amp;quot;123456789&amp;quot;&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
204 No Content&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Email API#Global Address Book|Global Address Book Public API]]&lt;br /&gt;
&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Email API]]&lt;/div&gt;</summary>
		<author><name>Stanimir.dimitrov</name></author>	</entry>

	</feed>